curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-olx-users-offers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user": "User id, uuid or profile URL, e.g. 888517085",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-olx-users-offers"
payload = {
"user": "User id, uuid or profile URL, e.g. 888517085",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user: 'User id, uuid or profile URL, e.g. 888517085', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-olx-users-offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "olx_user_offers",
"domain": "olx.pl",
"user": "2361055558",
"user_id": "2361055558",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# OLX user offers\n\n- **Domain:** olx.pl\n- **User:** 2361055558\n- **User id:** 2361055558\n- **Max items:** 2\n- **Starting page:** 1\n- **Records returned:** 2\n- **Proxy traffic:** 6.1 KB",
"machine": {
"total_items": 2,
"total_available": null,
"first_item": {
"id": "1101702811",
"url": "https://www.olx.pl/d/oferta/lozko-jednoosobowe-z-drewna-afrykanskiego-90x200-CID628-ID1cyDeb.html",
"offer_title": "łóżko jednoosobowe z drewna afrykańskiego 90x200",
"description": "witam, mam na sprzedaż łóżko jednoosobowe, robione na zamówienie z drewna afrykańskiego.\n\nPosiada drobne ślady użytkowania, jest wytrzymałe dzięki deskom pod materacem.\n\nŁóżko zostało odkurzone oraz p",
"status": "active",
"offer_type": "offer",
"is_business": false,
"price": 900,
"previous_price": null,
"currency": "PLN",
"price_label": "900 zł",
"is_negotiable": true,
"is_price_arranged": true,
"salary_from": null,
"salary_to": null,
"salary_currency": null,
"salary_period": null,
"is_salary_gross": null,
"created_at": 1790779889,
"refreshed_at": 1790780328,
"pushed_at": null,
"omnibus_pushed_at": null,
"expires_at": 1793372198,
"category_id": "1920",
"category_type": "house_and_garden",
"location": {
"city_id": "72583",
"city": "Sanok",
"city_alias": "sanok",
"district_id": null,
"district": null,
"region_id": "17",
"region": "Podkarpackie",
"region_alias": "podkarpackie",
"latitude": 49.55815,
"longitude": 22.20117,
"radius": 4,
"zoom": 12,
"is_detailed": false
},
"seller": {
"id": "2361055558",
"uuid": "5ffe6c78-223e-481b-b603-0e1f44929d95",
"name": "rotting_vamp",
"company_name": null,
"about": null,
"image": null,
"alias": null,
"has_business_page": false,
"is_online": false,
"created_at": 1720711109,
"last_seen_at": 1790779889,
"social_network_account_type": null,
"has_other_offers": true
},
"contact_name": "rotting_vamp",
"attributes": [
{
"key": "state",
"name": "Stan",
"type": "select",
"values": [
"used"
],
"label": "Używane"
},
{
"key": "furniturebrand",
"name": "Marka",
"type": "select",
"values": [
"other"
],
"label": "Pozostałe"
}
],
"key_attributes": [],
"images": [
"https://ireland.apollo.olxcdn.com:443/v1/files/lfrbr1vynnbe3-PL/image;s=4032x3024",
"https://ireland.apollo.olxcdn.com:443/v1/files/59cnd2kr0wfu-PL/image;s=4032x3024"
],
"is_highlighted": false,
"is_top_ad": false,
"is_promoted": false,
"is_b2c_ad": false,
"promotion_options": [],
"has_phone": false,
"has_chat": true,
"has_negotiation": true,
"has_delivery": false,
"delivery_mode": "NotEligible",
"has_gpsr_info": true,
"is_phone_protected": true,
"external_url": null,
"partner_code": null,
"shop_alias": null
},
"items": [
{
"id": "1101702811",
"url": "https://www.olx.pl/d/oferta/lozko-jednoosobowe-z-drewna-afrykanskiego-90x200-CID628-ID1cyDeb.html",
"offer_title": "łóżko jednoosobowe z drewna afrykańskiego 90x200",
"description": "witam, mam na sprzedaż łóżko jednoosobowe, robione na zamówienie z drewna afrykańskiego.\n\nPosiada drobne ślady użytkowania, jest wytrzymałe dzięki deskom pod materacem.\n\nŁóżko zostało odkurzone oraz p",
"status": "active",
"offer_type": "offer",
"is_business": false,
"price": 900,
"previous_price": null,
"currency": "PLN",
"price_label": "900 zł",
"is_negotiable": true,
"is_price_arranged": true,
"salary_from": null,
"salary_to": null,
"salary_currency": null,
"salary_period": null,
"is_salary_gross": null,
"created_at": 1790779889,
"refreshed_at": 1790780328,
"pushed_at": null,
"omnibus_pushed_at": null,
"expires_at": 1793372198,
"category_id": "1920",
"category_type": "house_and_garden",
"location": {
"city_id": "72583",
"city": "Sanok",
"city_alias": "sanok",
"district_id": null,
"district": null,
"region_id": "17",
"region": "Podkarpackie",
"region_alias": "podkarpackie",
"latitude": 49.55815,
"longitude": 22.20117,
"radius": 4,
"zoom": 12,
"is_detailed": false
},
"seller": {
"id": "2361055558",
"uuid": "5ffe6c78-223e-481b-b603-0e1f44929d95",
"name": "rotting_vamp",
"company_name": null,
"about": null,
"image": null,
"alias": null,
"has_business_page": false,
"is_online": false,
"created_at": 1720711109,
"last_seen_at": 1790779889,
"social_network_account_type": null,
"has_other_offers": true
},
"contact_name": "rotting_vamp",
"attributes": [
{
"key": "state",
"name": "Stan",
"type": "select",
"values": [
"used"
],
"label": "Używane"
},
{
"key": "furniturebrand",
"name": "Marka",
"type": "select",
"values": [
"other"
],
"label": "Pozostałe"
}
],
"key_attributes": [],
"images": [
"https://ireland.apollo.olxcdn.com:443/v1/files/lfrbr1vynnbe3-PL/image;s=4032x3024",
"https://ireland.apollo.olxcdn.com:443/v1/files/59cnd2kr0wfu-PL/image;s=4032x3024"
],
"is_highlighted": false,
"is_top_ad": false,
"is_promoted": false,
"is_b2c_ad": false,
"promotion_options": [],
"has_phone": false,
"has_chat": true,
"has_negotiation": true,
"has_delivery": false,
"delivery_mode": "NotEligible",
"has_gpsr_info": true,
"is_phone_protected": true,
"external_url": null,
"partner_code": null,
"shop_alias": null
},
{
"id": "1089140847",
"url": "https://www.olx.pl/d/oferta/ozdoba-na-sciane-z-zuchwy-jelenia-i-ametystem-handmade-diy-CID4042-ID1bHWhR.html",
"offer_title": "ozdoba na ścianę z żuchwy jelenia i ametystem handmade diy",
"description": "OGŁOSZENIE AKTUALNE\n\nhej, mam na sprzedaż ozdobę na ścianę z żuchwy jelenia\n\n-żuchwa posiada wszystkie zęby\n\n-związane są sznurkiem lnianym\n\n-minerał na środku to Ametyst - nazywany kamieniem ochrony ",
"status": "active",
"offer_type": "offer",
"is_business": false,
"price": 120,
"previous_price": null,
"currency": "PLN",
"price_label": "120 zł",
"is_negotiable": false,
"is_price_arranged": false,
"salary_from": null,
"salary_to": null,
"salary_currency": null,
"salary_period": null,
"is_salary_gross": null,
"created_at": 1785768027,
"refreshed_at": 1788359212,
"pushed_at": null,
"omnibus_pushed_at": null,
"expires_at": 1790952027,
"category_id": "4049",
"category_type": "goods",
"location": {
"city_id": "72583",
"city": "Sanok",
"city_alias": "sanok",
"district_id": null,
"district": null,
"region_id": "17",
"region": "Podkarpackie",
"region_alias": "podkarpackie",
"latitude": 49.55815,
"longitude": 22.20117,
"radius": 4,
"zoom": 12,
"is_detailed": false
},
"seller": {
"id": "2361055558",
"uuid": "5ffe6c78-223e-481b-b603-0e1f44929d95",
"name": "rotting_vamp",
"company_name": null,
"about": null,
"image": null,
"alias": null,
"has_business_page": false,
"is_online": false,
"created_at": 1720711109,
"last_seen_at": 1790779889,
"social_network_account_type": null,
"has_other_offers": true
},
"contact_name": "rotting_vamp",
"attributes": [],
"key_attributes": [],
"images": [
"https://ireland.apollo.olxcdn.com:443/v1/files/aopdtoghi9j71-PL/image;s=3024x4032",
"https://ireland.apollo.olxcdn.com:443/v1/files/i3ugjogdnklw2-PL/image;s=3024x4032"
],
"is_highlighted": false,
"is_top_ad": false,
"is_promoted": false,
"is_b2c_ad": false,
"promotion_options": [],
"has_phone": false,
"has_chat": true,
"has_negotiation": false,
"has_delivery": true,
"delivery_mode": "BuyWithDelivery",
"has_gpsr_info": true,
"is_phone_protected": false,
"external_url": null,
"partner_code": null,
"shop_alias": null
}
],
"proxy_traffic_bytes": 6261
},
"total_points": 2
}OLX user offers
A seller’s active OLX offers by user id, uuid or profile URL, with category filter and sort. 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
User. e.g. User id, uuid or profile URL, e.g. 888517085
Marketplace. Options: olx.pl = olx.pl (Poland), olx.ua = olx.ua (Ukraine), olx.ro = olx.ro (Romania), olx.bg = olx.bg (Bulgaria), olx.pt = olx.pt (Portugal), olx.kz = olx.kz (Kazakhstan), olx.uz = olx.uz (Uzbekistan)
olx.pl, olx.ua, olx.ro, olx.bg, olx.pt, olx.kz, olx.uz Max items (up to 500)
1 <= x <= 500Starting page (50 offers per page, up to 20)
1 <= x <= 20Category ID
x >= 1Sort by. Options: relevance = Relevance, newest = Newest, oldest = Oldest, price_asc = Price: low to high, price_desc = Price: high to low
relevance, newest, oldest, price_asc, price_desc Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.